## r-cran-sets 1.0.21%2Bds

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with vignette --buildsystem R

# by default, dh_vignette is run before dh_auto_install, but we need to
# run dh_auto_install first so the package is compiled
export R_LIBS = debian/r-cran-sets/usr/lib/R/site-library
execute_before_dh_vignette:
	dh_auto_install

## r-cran-sets 1.0.21+ds

=== DESCRIPTION ===
Package: sets
Version: 1.0-21
Title: Sets, Generalized Sets, Customizable Sets and Intervals
Description: Data structures and basic operations for ordinary sets,
             generalizations such as fuzzy sets, multisets, and
             fuzzy multisets, customizable sets, and intervals.
Authors@R: c(person(given = "David", family = "Meyer", role = c("aut", "cre"), email = "David.Meyer@R-project.org"),
             person(given = "Kurt", family = "Hornik", role = c("aut")),
             person(given = "Christian", family = "Buchta", role = "ctb"))
Depends: R (>= 2.7.0)
Suggests: proxy
Imports: graphics,grDevices,stats,utils
License: GPL-2
NeedsCompilation: yes
Packaged: 2022-02-09 10:50:20 UTC; meyer
Author: David Meyer [aut, cre],
  Kurt Hornik [aut],
  Christian Buchta [ctb]
Maintainer: David Meyer <David.Meyer@R-project.org>
Repository: CRAN
Date/Publication: 2022-02-09 17:57:27 UTC

=== debian/changelog ===
r-cran-sets (1.0.21+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/reproducible-vignettes.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 13 Feb 2022 07:48:11 -0500

r-cran-sets (1.0.20+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/*
    - Update my email address; now a Debian Developer.
  * debian/copyright
    - Update my copyright years.
  * debian/install
    - Remove file; no longer necessary.
  * debian/patches/reproducible-vignettes.patch
    - New patch; suppress PTEX info in vignette for reproducibility.
  * debian/rules
    - Run dh_auto_install twice; once before dh_vignette and once
      afterwards.  Then we won't need dh_install to install the vignette.
  * debian/tests/test-sets.R
    - Update expected values for fuzzy logic tests after gset_complement
      changes.
  * debian/watch
    - Add dversionmangle option; use "auto" to remove "+ds".

 -- Doug Torrance <dtorrance@debian.org>  Fri, 10 Dec 2021 08:38:14 -0500

r-cran-sets (1.0.19+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Archive.
  * d/control: Add <dh-update-R> to not delete r-cran-proxy during r-u

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 19:16:41 +0000

r-cran-sets (1.0.18+ds-3) unstable; urgency=medium

  * debian/control
    - Fix Vcs-* fields (wrong team).
    - Bump Standards-Version to 4.6.0.
    - Clean up using wrap-and-sort.
  * debian/gbp.conf
    - Add git-buildpackage config file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 27 Sep 2021 05:42:27 -0400

r-cran-sets (1.0.18+ds-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 Sep 2021 19:26:37 +0530

r-cran-sets (1.0.18+ds-1) unstable; urgency=medium

  * Initial release (Closes: #977589).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 14 Jun 2021 10:16:54 -0400

=== debian/control ===
Source: r-cran-sets
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               texinfo,
               texlive-base,
               texlive-latex-base,
               texlive-latex-recommended,
# <dh-update-R>do not delete this</dh-update-R>
               r-cran-proxy
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sets
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sets.git
Homepage: https://cran.r-project.org/package=sets
Rules-Requires-Root: no

Package: r-cran-sets
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Sets, Generalized Sets, Customizable Sets and Intervals
 Data structures and basic operations for ordinary sets,
 generalizations such as fuzzy sets, multisets, and
 fuzzy multisets, customizable sets, and intervals.

## r-cran-sets 1.0.22+ds

=== DESCRIPTION ===
Package: sets
Version: 1.0-22
Title: Sets, Generalized Sets, Customizable Sets and Intervals
Description: Data structures and basic operations for ordinary sets,
             generalizations such as fuzzy sets, multisets, and
             fuzzy multisets, customizable sets, and intervals.
Authors@R: c(person(given = "David", family = "Meyer", role = c("aut", "cre"),
                    email = "David.Meyer@R-project.org",
		    comment = c(ORCID = "0000-0002-5196-3048")),	    
             person(given = "Kurt", family = "Hornik", role = "aut",
	            email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")),
             person(given = "Christian", family = "Buchta", role = "ctb"))
Depends: R (>= 2.7.0)
Suggests: proxy
Imports: graphics,grDevices,stats,utils
License: GPL-2
NeedsCompilation: yes
Packaged: 2023-02-01 11:02:23 UTC; hornik
Author: David Meyer [aut, cre] (<https://orcid.org/0000-0002-5196-3048>),
  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
  Christian Buchta [ctb]
Maintainer: David Meyer <David.Meyer@R-project.org>
Repository: CRAN
Date/Publication: 2023-02-01 13:22:05 UTC

=== debian/changelog ===
r-cran-sets (1.0.22+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:52:57 +0100

## r-cran-sets 1.0.24+ds

=== debian/changelog ===
r-cran-sets (1.0.24+ds-1) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 11 Jun 2023 09:13:03 -0400

r-cran-sets (1.0.24+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of bookworm freeze.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 22 Mar 2023 21:43:34 -0400

r-cran-sets (1.0.23+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of bookworm freeze.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Mar 2023 23:00:00 -0500

## r-cran-sets 1.0.25+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sets
-Version: 1.0-22
+Version: 1.0-25
 Title: Sets, Generalized Sets, Customizable Sets and Intervals
 Description: Data structures and basic operations for ordinary sets,
              generalizations such as fuzzy sets, multisets, and
@@ -16,10 +16,10 @@
 Imports: graphics,grDevices,stats,utils
 License: GPL-2
 NeedsCompilation: yes
-Packaged: 2023-02-01 11:02:23 UTC; hornik
+Packaged: 2023-12-05 17:39:41 UTC; meyer
 Author: David Meyer [aut, cre] (<https://orcid.org/0000-0002-5196-3048>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
   Christian Buchta [ctb]
 Maintainer: David Meyer <David.Meyer@R-project.org>
 Repository: CRAN
-Date/Publication: 2023-02-01 13:22:05 UTC
+Date/Publication: 2023-12-06 09:22:33 UTC

=== debian/changelog ===
r-cran-sets (1.0.25+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright
    - Bump my copyright years.
  * debian/rules
    - New execute_after_dh_fixperms target; remove executable bit from
      localization file.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 11 Dec 2023 07:55:53 -0500

=== debian/control ===
Source: r-cran-sets
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sets
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sets.git
Homepage: https://cran.r-project.org/package=sets
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               texinfo,
               texlive-base,
               texlive-latex-base,
               texlive-latex-recommended,
               r-cran-proxy
Testsuite: autopkgtest-pkg-r

Package: r-cran-sets
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Sets, Generalized Sets, Customizable Sets and Intervals
 Data structures and basic operations for ordinary sets,
 generalizations such as fuzzy sets, multisets, and
 fuzzy multisets, customizable sets, and intervals.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 export R_LIBS = debian/r-cran-sets/usr/lib/R/site-library
 execute_before_dh_vignette:
 	dh_auto_install
+
+execute_after_dh_fixperms:
+	chmod -x $(R_LIBS)/sets/po/en@quot/LC_MESSAGES/R-sets.mo

=== debian/tests/control ===
Test-Command: R -e "testthat::test_dir('debian/tests')"
Depends: r-cran-testthat, @

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./,repacksuffix=+ds,dversionmangle=auto \
https://cloud.r-project.org/src/contrib/sets_([-\d.]*)\.tar\.gz
